> ## Documentation Index
> Fetch the complete documentation index at: https://developer.qminder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit an appointment

> Updates an appointment's time slot or assignee. Only include fields you want to change.



## OpenAPI

````yaml /api-reference/openapi.json patch /v1/appointments/{ticketId}
openapi: 3.1.0
info:
  title: Qminder API
  version: '1.0'
  description: >-
    The Qminder API allows you to integrate queue management into your own
    applications.
servers:
  - url: https://api.qminder.com
security:
  - sec0: []
tags:
  - name: Locations
    description: Manage physical service locations
  - name: Lines
    description: Manage virtual queues within locations
  - name: Input Fields
    description: Manage custom data fields for locations
  - name: Tickets
    description: Manage visitor queue entries
  - name: Appointments
    description: Manage scheduled appointments
  - name: Users
    description: Manage user accounts and permissions
  - name: Webhooks
    description: Manage webhook subscriptions
paths:
  /v1/appointments/{ticketId}:
    patch:
      tags:
        - Appointments
      summary: Edit an appointment
      description: >-
        Updates an appointment's time slot or assignee. Only include fields you
        want to change.
      operationId: edit-appointment
      parameters:
        - name: ticketId
          in: path
          description: ID of the appointment ticket to update
          required: true
          schema:
            type: string
        - name: X-Qminder-API-Version
          in: header
          description: API version. Must be set to `2020-09-01`.
          required: true
          schema:
            type: string
            enum:
              - '2020-09-01'
            default: '2020-09-01'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                startTime:
                  type: string
                  format: date-time
                  description: New appointment start time in ISO 8601 format.
                endTime:
                  type: string
                  format: date-time
                  description: New appointment end time in ISO 8601 format.
                assigneeId:
                  type: integer
                  description: ID of the user to reassign the appointment to.
            example:
              startTime: '2024-12-15T11:00:00Z'
              endTime: '2024-12-15T11:30:00Z'
      responses:
        '200':
          description: Appointment updated successfully
        '404':
          description: Appointment or user not found
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: X-Qminder-REST-API-Key
      x-default: yourbusinessapikey

````